# add

abstract fun add(dependencyNotation: String)

Add a dependency or a dependency constraint using the string notation: `group:name:version`.

#### Parameters

dependencyNotation

the dependency

abstract fun add(dependencyNotation: String, configureAction: Action<in T>)

Add a dependency or a dependency constraint using the string notation: `group:name:version`.

#### Parameters

dependencyNotation

the dependency

configureAction

action to configure details of the dependency - see DependencyMetadata

abstract fun add(dependencyNotation: Map<String, String>)

### Deprecated

This method will be removed in Gradle 10. Use add instead.

Add a dependency or a dependency constraint using the map notation: `group: group, name: name, version: version`.

abstract fun add(dependencyNotation: Map<String, String>, configureAction: Action<in T>)

### Deprecated

This method will be removed in Gradle 10. Use add instead.

Add a dependency or a dependency constraint using the map notation: `group: group, name: name, version: version`.

#### Parameters

dependencyNotation

the dependency

configureAction

action to configure details of the dependency - see DependencyMetadata